MySQL create function exploit update

MySQL 4.0.23 and earlier, and 4.1.x up to 4.1.10, allows remote authenticated users with INSERT and DELETE privileges to execute arbitrary code by using CREATE FUNCTION to access libc calls. This module exploits this vulnerability, and this update improve the exploit reliability.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2005-0709
Product Version: 
6.2
Released Date: 
Monday, April 16, 2007 - 00:00